# \Thelia\Core\Template\Loop\ArgumentArgumentCollection

## Summary

Methods
Properties
Constants
__construct()
hasKey()
get()
isEmpty()
addArguments()
addArgument()
getCount()
current()
next()
key()
valid()
rewind()
No public properties found
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
$arguments
N/A

File
  Core/Template/Loop/Argument/ArgumentCollection.php
Package
  \Default
Class hierarchy
  \Thelia\Core\Template\Loop\Argument\ArgumentCollection

## Tags

author | Etienne Roudeix eroudeix@openstudio.fr

## Properties

### $arguments

    $arguments

#

## Tags

None found

## Methods

### __construct()

    __construct()

#

## Tags

None found

### hasKey()

    hasKey( $key)

#### Parameters

| $key |

#

## Tags

None found

### get()

    get( $key)

#### Parameters

| $key |

#

## Tags

None found

### isEmpty()

    isEmpty()

#

## Tags

None found

### addArguments()

    addArguments(array $argumentList, mixed $force) : \Thelia\Core\Template\Loop\Argument\ArgumentCollection

#### Parameters

array | $argumentList |
mixed | $force |

#### Returns

\Thelia\Core\Template\Loop\Argument\ArgumentCollection

#

## Tags

None found

### addArgument()

    addArgument(\Thelia\Core\Template\Loop\Argument\Argument $argument, mixed $force) : \Thelia\Core\Template\Loop\Argument\ArgumentCollection

#### Parameters

\Thelia\Core\Template\Loop\Argument\Argument | $argument |
mixed | $force |

#### Returns

\Thelia\Core\Template\Loop\Argument\ArgumentCollection

#

## Tags

None found

### getCount()

    getCount()

#

## Tags

None found

### current()

    current() : \Thelia\Core\Template\Loop\Argument\Argument

(PHP 5 &gt;= 5.0.0)<br/> Return the current element

#### Returns

\Thelia\Core\Template\Loop\Argument\Argument

#

See also
  http://php.net/manual/en/iterator.current.php

## Tags

None found

### next()

    next() : void

(PHP 5 &gt;= 5.0.0)<br/> Move forward to next element

#

See also
  http://php.net/manual/en/iterator.next.php

## Tags

None found

### key()

    key() : mixed

(PHP 5 &gt;= 5.0.0)<br/> Return the key of the current element

#### Returns

mixed —

scalar on success, or null on failure.

#

See also
  http://php.net/manual/en/iterator.key.php

## Tags

None found

### valid()

    valid() : boolean

(PHP 5 &gt;= 5.0.0)<br/> Checks if current position is valid

#### Returns

boolean —

The return value will be casted to boolean and then evaluated. Returns true on success or false on failure.

#

See also
  http://php.net/manual/en/iterator.valid.php

## Tags

None found

### rewind()

    rewind() : void

(PHP 5 &gt;= 5.0.0)<br/> Rewind the Iterator to the first element

#

See also
  http://php.net/manual/en/iterator.rewind.php

## Tags

None found

### ArgumentCollection.php